# Created by pyp2rpm-3.3.3
%global pypi_name flask-security

%bcond_with tests

Name:           python-%{pypi_name}
Version:        3.0.0
Release:        %mkrel 1.1
Summary:        Simple security for Flask apps
Group:          Development/Python
License:        MIT
URL:            https://github.com/mattupstate/flask-security
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/Flask-Security-%{version}.tar.gz
# mga#31069
# source : https://build.opensuse.org/package/show/SUSE:SLE-15-SP1:Update/python-Flask-Security
Patch0:         fix-open-redirect.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(babel) >= 1.3
BuildRequires:  python3dist(bcrypt) >= 1.0.2
BuildRequires:  python3dist(check-manifest) >= 0.25
BuildRequires:  python3dist(coverage) >= 4.0
BuildRequires:  python3dist(flask) >= 0.11
BuildRequires:  python3dist(flask-babelex) >= 0.9.3
#BuildRequires:  python3dist(flask-cli) >= 0.4.0
BuildRequires:  python3dist(flask-login) >= 0.3.0
BuildRequires:  python3dist(flask-mail) >= 0.7.3
BuildRequires:  python3dist(flask-mongoengine) >= 0.7.0
BuildRequires:  python3dist(flask-peewee) >= 0.6.5
BuildRequires:  python3dist(flask-principal) >= 0.3.3
BuildRequires:  python3dist(flask-sphinx-themes) >= 1.0.1
BuildRequires:  python3dist(flask-sqlalchemy) >= 1.0
BuildRequires:  python3dist(flask-wtf) >= 0.13.1
BuildRequires:  python3dist(isort) >= 4.2.2
BuildRequires:  python3dist(itsdangerous) >= 0.21
BuildRequires:  python3dist(mock) >= 1.3.0
BuildRequires:  python3dist(mongoengine) >= 0.10.0
BuildRequires:  python3dist(passlib) >= 1.7
BuildRequires:  python3dist(pony) >= 0.7.1
BuildRequires:  python3dist(pydocstyle) >= 1.0.0
BuildRequires:  python3dist(pytest) >= 3.0.5
BuildRequires:  python3dist(pytest-cache) >= 1.0
BuildRequires:  python3dist(pytest-cov) >= 2.4.0
BuildRequires:  python3dist(pytest-flakes) >= 1.0.1
BuildRequires:  python3dist(pytest-pep8) >= 1.0.6
BuildRequires:  python3dist(pytest-runner) >= 2.6.2
BuildRequires:  python3dist(pytest-translations) >= 1.0.4
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx) >= 1.4.2
BuildRequires:  python3dist(sqlalchemy) >= 0.8.0
BuildRequires:  python3dist(sphinx)

%description
Quick and simple security for Flask applications.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(bcrypt) >= 1.0.2
Requires:       python3dist(check-manifest) >= 0.25
Requires:       python3dist(coverage) >= 4.0
Requires:       python3dist(flask) >= 0.11
Requires:       python3dist(flask-babelex) >= 0.9.3
#Requires:       python3dist(flask-cli) >= 0.4.0
Requires:       python3dist(flask-login) >= 0.3.0
Requires:       python3dist(flask-mail) >= 0.7.3
Requires:       python3dist(flask-mongoengine) >= 0.7.0
Requires:       python3dist(flask-peewee) >= 0.6.5
Requires:       python3dist(flask-principal) >= 0.3.3
Requires:       python3dist(flask-sphinx-themes) >= 1.0.1
Requires:       python3dist(flask-sqlalchemy) >= 1.0
Requires:       python3dist(flask-wtf) >= 0.13.1
Requires:       python3dist(isort) >= 4.2.2
Requires:       python3dist(itsdangerous) >= 0.21
Requires:       python3dist(mock) >= 1.3.0
Requires:       python3dist(mongoengine) >= 0.10.0
Requires:       python3dist(passlib) >= 1.7
Requires:       python3dist(pony) >= 0.7.1
Requires:       python3dist(pydocstyle) >= 1.0.0
Requires:       python3dist(pytest) >= 3.0.5
Requires:       python3dist(pytest-cache) >= 1.0
Requires:       python3dist(pytest-cov) >= 2.4.0
Requires:       python3dist(pytest-flakes) >= 1.0.1
Requires:       python3dist(pytest-pep8) >= 1.0.6
Requires:       python3dist(pytest-translations) >= 1.0.4
Requires:       python3dist(sphinx) >= 1.4.2
Requires:       python3dist(sqlalchemy) >= 0.8.0

%description -n python3-%{pypi_name}
Quick and simple security for Flask applications.

%prep
%autosetup -n Flask-Security-%{version} -p1

# Remove bundled egg-info
rm -rf Flask_Security.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%if %{with tests}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%doc html
%{python3_sitelib}/flask_security
%{python3_sitelib}/Flask_Security-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Feb 02 2023 papoteur <papoteur> 3.0.0-1.1.mga8
+ Revision: 1937575
- apply fix for mga#31069 and CVE-2021-23385

* Thu Nov 28 2019 wally <wally> 3.0.0-1.mga8
+ Revision: 1463465
- imported package python-flask-security

